Uploaded image for project: 'Sakai'
  1. Sakai
  2. SAK-41544

Update to JQuery 3+

    XMLWordPrintable

    Details

    • Type: Task
    • Status: OPEN
    • Priority: Critical
    • Resolution: Unresolved
    • Affects Version/s: 20.0 [Tentative]
    • Fix Version/s: None
    • Component/s: Reference
    • Labels:
      None
    • Test Plan:
      Hide

      Please add a Test Plan here.

      Show
      Please add a Test Plan here.

      Description

      We're falling behind in jQuery version, running a version that's currently EOL (1.12.4). We should update Sakai 20 for at least jQuery 3.x.

      jQuery migrate supports 1.12 so it shouldn't be too much effort. We'll probably be able to update more libraries along with this.

      Just something to get on the roadmap. I think it would also be nice to take advantage of the new loader pattern this time around like

      includeWebjarLibrary and includeLatestJQuery

      so we don't have to update the version everywhere next time.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                maintenanceteam Core Team
                Reporter:
                jonespm Matthew Jones
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:

                  Git Source Code